mytechguide.org
Mozilla Adds Vulnerable Java 7 Update 7 To Blocklist [Security Alert]
Mozilla has added vulnerable Java 7 Update 7 to its add-on blocklist after it found the plugin poses a serious risk for all Firefox users.